Summary: CentOS base cache of yum headers
Name: centos-yumcache
Version: 3.1
Release: 0.%(date +"%%Y%m%d").3
Copyright: GPL
Group: System Environment/Base
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch: i386
Requires: yum
Buildrequires: yum

%description
This is the cache of yum headers for the base install. Preloading the cache
avoids having to download headers following a minimal install.

%prep
[ -d %{rpmdbtree} ] || {
    echo "This specfile needs access to %{rpmdbtree}/%{_arch}/RedHat/RPMS"
    exit 1
}

%build
yum-arch %{rpmdbtree}/os/%{_arch}
yum-arch %{rpmdbtree}/addons/%{_arch}
yum-arch %{rpmdbtree}/extras/%{_arch}
yum-arch %{rpmdbtree}/updates/%{_arch}

%install
mkdir -p $RPM_BUILD_ROOT/var/cache/yum/base/headers
cp -au %{rpmdbtree}/os/%{_arch}/headers/* $RPM_BUILD_ROOT/var/cache/yum/base/headers 
mv $RPM_BUILD_ROOT/var/cache/yum/base/headers/header.info $RPM_BUILD_ROOT/var/cache/yum/base/
mkdir -p $RPM_BUILD_ROOT/var/cache/yum/addons/headers
cp -au %{rpmdbtree}/addons/%{_arch}/headers/* $RPM_BUILD_ROOT/var/cache/yum/addons/headers 
mv $RPM_BUILD_ROOT/var/cache/yum/addons/headers/header.info $RPM_BUILD_ROOT/var/cache/yum/addons/
mkdir -p $RPM_BUILD_ROOT/var/cache/yum/extras/headers
cp -au %{rpmdbtree}/extras/%{_arch}/headers/* $RPM_BUILD_ROOT/var/cache/yum/extras/headers 
mv $RPM_BUILD_ROOT/var/cache/yum/extras/headers/header.info $RPM_BUILD_ROOT/var/cache/yum/extras/
mkdir -p $RPM_BUILD_ROOT/var/cache/yum/updates/headers
cp -au %{rpmdbtree}/updates/%{_arch}/headers/* $RPM_BUILD_ROOT/var/cache/yum/updates/headers 
mv $RPM_BUILD_ROOT/var/cache/yum/updates/headers/header.info $RPM_BUILD_ROOT/var/cache/yum/updates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /var/cache/yum/base/headers
%attr(0644,root,root) /var/cache/yum/base/header.info
%attr(0644,root,root) /var/cache/yum/addons/headers
%attr(0644,root,root) /var/cache/yum/addons/header.info
%attr(0644,root,root) /var/cache/yum/updates/headers
%attr(0644,root,root) /var/cache/yum/updates/header.info
%attr(0644,root,root) /var/cache/yum/extras/headers
%attr(0644,root,root) /var/cache/yum/extras/header.info

%changelog
* Wed Feb 18 2004 Lance Davis <lance@caosity.org>
- Created for CentoS
